List conversions
curl --request GET \
--url https://api.augustus.com/v1/conversions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.augustus.com/v1/conversions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.augustus.com/v1/conversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440006",
"type": "conversion",
"status": "pending",
"source_amount": "100.50",
"target_amount": "100.50",
"source_account_id": "550e8400-e29b-41d4-a716-44665544000b",
"target_account_id": "550e8400-e29b-41d4-a716-44665544000c",
"metadata": {
"invoice_id": "INV-2026-0042"
},
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:35:00Z",
"completed_at": "2026-01-15T10:36:00Z"
}
],
"has_more": true,
"next_cursor": "eyJsYXN0X2lkIjoiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDA2In0",
"has_previous": true,
"previous_cursor": "eyJsYXN0X2lkIjoiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDA2In0"
}Conversions
List conversions
Returns a paginated list of conversions.
GET
/
v1
/
conversions
List conversions
Authorizations
Bearer token for authentication with Augustus Banking API
Query Parameters
Number of results per page (1-100). Defaults to 10.
Required range:
1 <= x <= 100Opaque cursor from a previous next_cursor.
Filter by conversion status.
Available options:
pending, completed, failed Filter by source currency code.
Available options:
EUR, GBP, USD, USDC Example:
"EUR"
Filter by target currency code.
Available options:
EUR, GBP, USD, USDC Example:
"EUR"
Response
200 - application/json
List of conversions
Show child attributes
Show child attributes
Example:
"eyJsYXN0X2lkIjoiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDA2In0"
Example:
"eyJsYXN0X2lkIjoiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDA2In0"
Was this page helpful?